Summary: The shared library for the Qt GUI toolkit.
Name: qt
Version: 2.3.1
Release: 1
Group: System Environment/Libraries
Copyright: QPL
URL: http://www.trolltech.com/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.trolltech.com/qt/source/qt-x11-%{version}.tar.gz
Source1: qt.sh
Source2: qt.csh
Buildroot: /var/tmp/%{name}-root

%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

This package contains the shared library needed to run Qt
applications, as well as the README files for Qt.


%package devel
Summary: Development files and documentation for the Qt GUI toolkit.
Group: Development/Libraries

%description devel
The qt-devel package contains the files necessary to develop
applications using the Qt GUI toolkit: the header files, the Qt meta
object compiler, the man pages, the HTML documentation and example
programs.  See http://www.troll.no/products/qt.html for more
information about Qt, or look at /usr/lib/qt/html/index.html, which
provides Qt documentation in HTML format.

Install qt-devel if you want to develop GUI applications using the Qt
toolkit.


%prep
%setup -q


%build
export QTDIR=`pwd`
./configure \
	-release -shared -gif -sm -thread \
	-system-zlib -system-libpng -system-jpeg \
<<EOF
yes
EOF
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
cp -a bin lib doc/man $RPM_BUILD_ROOT/usr

mkdir -p $RPM_BUILD_ROOT/usr/man/man1
cp -p src/moc/moc.1   $RPM_BUILD_ROOT/usr/man/man1

# include/* are all symlinks while we need to copy real files.
# qt_windows.h and qt_mac.h point to nothing so we need to remove them.
mkdir -p $RPM_BUILD_ROOT/usr/include/qt
rm -f  include/qt_{windows,mac}.h
cp -pr include/* $RPM_BUILD_ROOT/usr/include/qt

# Follow the $QTDIR path convention
mkdir -p $RPM_BUILD_ROOT/usr/lib/qt
ln -s ../../bin                     $RPM_BUILD_ROOT/usr/lib/qt/bin
ln -s ../../doc/qt-devel-%{version} $RPM_BUILD_ROOT/usr/lib/qt/doc
ln -s ../../lib                     $RPM_BUILD_ROOT/usr/lib/qt/lib
ln -s ../../man                     $RPM_BUILD_ROOT/usr/lib/qt/man
ln -s ../../include/qt              $RPM_BUILD_ROOT/usr/lib/qt/include

# Files that scatter around ...
mkdir -p $RPM_BUILD_ROOT/usr/lib/qt/tools/designer
cp -pr tools/designer/templates $RPM_BUILD_ROOT/usr/lib/qt/tools/designer

mkdir -p $RPM_BUILD_ROOT/etc/profile.d
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/profile.d/
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/profile.d/


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc ANNOUNCE FAQ INSTALL LICENSE.GPL LICENSE.QPL MANIFEST PLATFORMS PORTING 
%doc README README.QT
%doc changes-*
/usr/lib/lib*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html
%config /etc/profile.d/*
/usr/bin/*
/usr/include/*
/usr/lib/lib*.so
/usr/lib/qt
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

